groups['htz'] = {
    'subgroup_patterns': {
        r'htz\-.+',
    },
}

groups['htz-cloud'] = {
    'member_patterns': {
        r"htz\-cloud\..*",
    },
    'metadata': {
        'apt': {
            'packages': {
                'cryptsetup-bin': {
                    'installed': False,
                },
                'cryptsetup-run': {
                    'installed': False,
                },
                'cryptsetup-initramfs': {
                    'installed': False,
                },
            },
        },
        'location': 'htz-cloud',
    },
}

groups['htz-hel'] = {
    'member_patterns': {
        r'htz\-hel\..+',
    },
    'metadata': {
        'location': 'htz-hel',
    },
}

groups['home'] = {
    'member_patterns': {
        r"home\..*",
    },
    'bundles': {
        'lldp',
    },
    'metadata': {
        'location': 'home',
        'icinga_options': {
            'also_affected_by': {
                'home.router',
            },
            'vars.notification.sms': False,
            'show_on_statuspage': False,
        },
        'postfix': {
            # It's fine to do this without authentificating to the relayhost.
            # These Systems are not supposed to send mail anywhere else
            # than our own domains.
            'relayhost': '[mail.franzi.business]:2525',
        },
    },
}

groups['sophie'] = {
    'supergroups': {
        'linux',
    },
    'member_patterns': {
        r"sophie\..*",
    },
    'metadata': {
        'icinga_options': {
            'exclude_from_monitoring': True,
        },
        'backup-client': {
            'target': 'htz-hel.backup-sophie',
        },
        'users': {
            'sophie': {},
        },
    },
}

groups['voc'] = {
    'member_patterns': {
        r"voc\..*",
    },
    'metadata': {
        'apt': {
            # Move patchday to somewhere where the possibility of
            # clashing with actual events is less likely.
            'unattended-upgrades': {
                'day': 1,
            },
        },
        'icinga_options': {
            'show_on_statuspage': False,
        },
        'location': 'voc',
    },
}
